Where is lesstif2-dev package under ubuntu saucy

Asked by Tong Sun on 2013-11-17

Hi,

I can see the lesstif2-dev package in Debian Sid, but can't find it under ubuntu saucy.
Where is lesstif2-dev package under ubuntu saucy?

From Debian Sid:

$ apt-cache show lesstif2-dev
Package: lesstif2-dev
Source: lesstif2
Version: 1:0.95.2-1.1
Installed-Size: 3397
Maintainer: Sam Hocevar <email address hidden>
Architecture: amd64
Replaces: lesstif-dev, lesstifg-dbg (<< 1:0.88.1-1), lesstifg-dev, libmotif-dev
Depends: lesstif2, libice-dev, libsm-dev, libx11-dev, libxext-dev, libxp-dev, libxt-dev, libxrender-dev, libxft-dev, libfontconfig1-dev, libfreetype6-dev
Conflicts: lesstif-dev, lesstifg-dev, libmotif-dev
Description-en: development library and header files for LessTif 2.1
 Contains C header files and development shared libraries for
 LessTif. LessTif, made by the Hungry Programmers, is a free (LGPL-ed)
 version of OSF/Motif; it aims ultimately at binary compatibility with Motif
 2.1.
 .
 Contains static libraries and header files for libXm and libMrm.
Description-md5: 466a20dd367c7b2495035f4411e8d642
Homepage: http://www.lesstif.org/
Tag: devel::lang:c, devel::library, implemented-in::c, role::devel-lib,
 uitoolkit::motif
Section: libdevel
Priority: optional
Filename: pool/main/l/lesstif2/lesstif2-dev_0.95.2-1.1_amd64.deb

Under ubuntu saucy

$ apt-cache search lesstif dev | grep -v CERNLIB | grep lesstif || echo not found
not found

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu lesstif2 Edit question
Assignee:
No assignee Edit question
Solved by:
Paul Gevers
Solved:
2013-11-18
Last query:
2013-11-18
Last reply:
2013-11-17
Best Paul Gevers (paul-climbing) said : #1

Lesstif was written as an free replacement for motif. Motif finally (after several decades) finally got a free license last year. We are in the process of removing lesstif2 from Debian and making all dependencies use libmotif. Ubuntu sometimes moves slightly quicker, so it is removed there already. Debian won't have lesstif2 for another month if I can help it.

Just use libmotif-dev instead of lesstif2-dev and you should be fine.

See also:
https://bugs.launchpad.net/ubuntu/+source/lesstif2/+bug/1222747
http://people.canonical.com/~ubuntu-archive/transitions/motif.html

Or the corresponding Debian information.
http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=lesstif2motif;<email address hidden>
http://release.debian.org/transitions/html/motif.html

Tong Sun (suntong001) said : #2

Alright. Thanks Paul.